cordova.define("cordova-plugin-baidu-location.baidu_location", function(require, exports, module) {
var exec = require('cordova/exec');

var baidu_location = {
    config: function(successFn, failureFn) {
        exec(successFn, failureFn, 'baidu_location', 'config', []);
    },
    singleLoc: function(successFn, failureFn) {
        exec(successFn, failureFn, 'baidu_location', 'singleLoc', []);
    },
    serialLoc: function(data, successFn, failureFn) {//rgc
        exec(successFn, failureFn, 'baidu_location', 'serialLoc', [data]);
    },
    serialStopLoc: function(successFn, failureFn) {
        exec(successFn, failureFn, 'baidu_location', 'serialStopLoc', []);
    },
    geofence: function(data, successFn, failureFn) {
        exec(successFn, failureFn, 'baidu_location', 'geofence', [data]);
    },
    geofenceStop: function(successFn, failureFn) {
        exec(successFn, failureFn, 'baidu_location', 'geofenceStop', []);
    },
};

module.exports = baidu_location;
});
